|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QSharedData Class Reference

The QSharedData class is a base class for shared data objects. More...

    #include <QSharedData>

Part of the QtCore module.

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QSharedData ()
- QSharedData ( const QSharedData & other )

## Detailed Description

The QSharedData class is a base class for shared data objects.

QSharedData is designed to be used together with QSharedDataPointer to implement custom implicitly shared classes. It provides thread-safe reference counting.

See the QSharedDataPointer documentation for details.

## Member Function Documentation

### QSharedData::QSharedData ()

Constructs a QSharedData object with a reference count of 0.

### QSharedData::QSharedData ( const QSharedData & other )

Constructs a QSharedData object with a reference count of 0. (other is ignored.)